%global _hardened_build 1

Name:           chkservice
Version:        0.3
Release:        1%{?dist}
Summary:        Ncurses based GUI for systemd


License:        GPLv3+
URL:            https://github.com/linuxenko/chkservice
Source0:        https://github.com/linuxenko/chkservice/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(ncurses)

%description
chkservice is a tool for managing systemd units in terminal.


%prep
%setup -q
sed -i '/set (CMAKE_CXX_FLAGS/d' CMakeLists.txt


%build
# With %%cmake . macro build fails on linking libraries
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF .
#cmake -DCMAKE_BUILD_TYPE=Debug \
#      -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} .
%make_build


%install
%make_install
mkdir -p %{buildroot}/%{_mandir}/man8
install -p -m 0644 debian/chkservice.8 %{buildroot}/%{_mandir}/man8/%{name}.8


%files
%{_bindir}/*
%{_mandir}/man8/%{name}.8*
%license LICENSE
%doc README.md



%changelog
* Sun Mar 15 2020 Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.3-1
- Update to 0.3

* Sat Sep 02 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.1-1
- Initial build
